Bug 114593 - [PATCH] net/smokeping: rc.d script needs command_interpreter
[PATCH] net/smokeping: rc.d script needs command_interpreter
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Lars Thegler
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-15 02:40 UTC by cherry
Modified: 2007-12-21 14:00 UTC (History)
1 user (show)

See Also:


Attachments
smokeping-2.1.0.patch (485 bytes, patch)
2007-07-15 02:40 UTC, cherry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cherry 2007-07-15 02:40:00 UTC
without command_interpreter, it doesn't stop/restart properly

# /usr/local/etc/rc.d/smokeping restart
smokeping not running? (check /usr/local/var/smokeping/smokeping.pid).
Starting smokeping.
### fping seems to report in 1 milliseconds
Note: logging to syslog as local0/info.
ERROR: I Quit! Another copy of /usr/local/bin/smokeping (8583) seems to be running.
       Check /usr/local/var/smokeping/smokeping.pid

Port maintainer (lth@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77

How-To-Repeat: install net/smokeping, start the daemon and restart it.
Comment 1 Edwin Groothuis freebsd_committer 2007-07-15 02:40:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

Over to maintainer
Comment 2 sivankov 2007-09-24 17:10:52 UTC
http://www.freebsd.org/cgi/query-pr.cgi?pr=114593
------------------------------------------------------
diff -ruN --exclude=CVS /usr/ports/net/smokeping/files/smokeping.in /usr/home/cherry/ports/net/smokeping/files/smokeping.in
--- /usr/ports/net/smokeping/files/smokeping.in  Tue Dec 12 21:47:43 2006
+++ /usr/home/cherry/ports/net/smokeping/files/smokeping.in      Sun Jul 15 
10:21:35 2007
@@ -24,6 +24,7 @@
 name="smokeping"
 rcvar=`set_rcvar`
+command_interpreter="%%PERL%%"
 command="/usr/local/bin/smokeping"
 command_args="--logfile=${smokeping_logfile}"
 pidfile="${smokeping_pidfile}"

---------------------
On 6.2-RELEASE-p7 FreeBSD 6.2-RELEASE-p7 #0: Mon Sep 24 12:03:18 MSD 2007     
pilot@test:/usr/obj/usr/src/sys/GENERIC
Don't work.... 
Build from ports ver 2.1 20070924
New rc.d script don't working correct 

(but, on FreeBSD 7.0-CURRENT #23: Fri Sep 14 22:24:34 MSD 2007     
pilot@pilot-lieb.pilots.ru:/usr/obj/usr/src/sys/PILOT-LIEB) work ...with 
this: command_interpreter="/usr/local/bin/perl"

Why ?????
Comment 3 dfilter freebsd_committer 2007-12-21 13:55:21 UTC
lth         2007-12-21 13:55:08 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/smokeping   Makefile distinfo pkg-plist 
    net-mgmt/smokeping/files patch-bin-smokeping.dist 
                             patch-bin-tSmoke.dist 
                             patch-etc-config.dist 
                             patch-htdocs-smokeping.cgi.dist 
  Log:
  - Update to 2.2.7
  - Fix detection of running process, fixes [1]
  
  PR:             ports/114593 [1]
  Submitted by:   Tomoyuki Sakurai <cherry@trombik.org> [1]
  
  Revision  Changes    Path
  1.43      +52 -51    ports/net-mgmt/smokeping/Makefile
  1.25      +3 -3      ports/net-mgmt/smokeping/distinfo
  1.14      +4 -3      ports/net-mgmt/smokeping/files/patch-bin-smokeping.dist
  1.5       +1 -1      ports/net-mgmt/smokeping/files/patch-bin-tSmoke.dist
  1.3       +12 -12    ports/net-mgmt/smokeping/files/patch-etc-config.dist
  1.14      +1 -1      ports/net-mgmt/smokeping/files/patch-htdocs-smokeping.cgi.dist
  1.20      +12 -5     ports/net-mgmt/smokeping/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Lars Thegler freebsd_committer 2007-12-21 13:56:22 UTC
State Changed
From-To: open->closed

Fixed by other means, but thanks!